Page MenuHomePhabricator

Enable the use of PAGEBANNER magic word on Vietnamese Wikivoyage
Closed, ResolvedPublic

Description

Hi. I don't know if I've come to the right place, or the magic word is already usable but something else is missing.
Anyway, I was trying to update the Pagebanner template on the Vietnamese Wikivoyage when I noticed the magic word behaved differently compared to that of the English Wikivoyage: it appears to try to transclude a template instead of functioning like a magic word.
If someone could enlighten me on this I'd be more than appreciated.
Thanks!

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable WikidataPageBanner on vi.wikivoyage

Event Timeline

Prenn created this task.Apr 24 2017, 8:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2017, 8:37 AM

If this is about https://www.mediawiki.org/wiki/Extension:WikidataPageBanner functionality, https://en.wikivoyage.org/wiki/Special:Version lists WikidataPageBanner while https://vi.wikivoyage.org/wiki/Đặc_biệt:Phiên_bản does not. So I guess you request installation of that extension?
For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes
Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.

Prenn added a comment.Apr 24 2017, 3:03 PM

Thank you for the detailed answer, the extension is exactly what I have been looking for. I have read the requesting process on Meta, and proceeded to create a discussion here: https://vi.wikivoyage.org/wiki/Wikivoyage:Th%E1%BA%A3o_lu%E1%BA%ADn#B.E1.BA.ADt_WikidataPageBanner_t.E1.BA.A1i_Wikivoyage_ti.E1.BA.BFng_Vi.E1.BB.87t, but since the wiki is a low-activity one, I don't think there would be any response.
So, is there anything else I can do to see this functionality deployed on the wiki?

Dereckson added a subscriber: Dereckson.EditedApr 24 2017, 9:26 PM

I think what you want is provided by the WikidataPageBanner extension.

For a wiki with a very low level activity, a notification like you did is enough: even if nobody replies, we can proceed after a 3 to 7 days delay to be sure people have an opportunity to see it.

I'd suggest we deploy this Thursday evening if there isn't any objection.

Change 350085 had a related patch set uploaded (by Dereckson):
[operations/mediawiki-config@master] Enable WikidataPageBanner on vi.wikivoyage

https://gerrit.wikimedia.org/r/350085

Dereckson triaged this task as Medium priority.Apr 24 2017, 9:31 PM
Prenn added a comment.Apr 25 2017, 1:36 AM

Awesome, thank you very much!

Change 350085 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikidataPageBanner on vi.wikivoyage

https://gerrit.wikimedia.org/r/350085

Mentioned in SAL (#wikimedia-operations) [2017-04-27T23:34:01Z] <catrope@naos> Synchronized wmf-config/InitialiseSettings.php: Enable WikidataPageBanner on viwikivoyage (T163662) (duration: 00m 46s)

Dereckson closed this task as Resolved.Apr 28 2017, 8:24 AM